Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.metaclass
Class SetPropertiesDynamicProperty

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicProperty
          org.codehaus.groovy.grails.web.metaclass.SetPropertiesDynamicProperty

All Implemented Interfaces:
  DynamicProperty

    public class SetPropertiesDynamicProperty

extends AbstractDynamicProperty

A dynamic property that uses a Map of OGNL expressions to sets properties on the target object

Since:
  Oct 24, 2005
Author:
  Graeme Rocher

Constructor Summary
`SetPropertiesDynamicProperty()`

Method Summary
`Object` | `get(Object object)` Call the getter on the given object
`void` | `set(Object object, Object newValue)` Sets the property on the specified object with the specified value.

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicProperty
`getPropertyName, isPropertyMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetPropertiesDynamicProperty

    public SetPropertiesDynamicProperty()

Method Detail

### get

    public Object get(Object object)

  Description copied from interface: `DynamicProperty`
  Call the getter on the given object

  Specified by:
    `get` in interface `DynamicProperty`
  Specified by:
    `get` in class `AbstractDynamicProperty`
  Parameters:
    `object` - The target object
  Returns:
    A org.apache.commons.beanutils.BeanMap instance

### set

    public void set(Object object,
                    Object newValue)

  Sets the property on the specified object with the specified value. The value is expected to be a Map containing OGNL expressions for the keys and objects for the values.

  Specified by:
    `set` in interface `DynamicProperty`
  Specified by:
    `set` in class `AbstractDynamicProperty`
  Parameters:
    `object` - The target object
    `newValue` - The value to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project